# Cloud Integrations ## List Cloud Integrations `client.magicCloudNetworking.cloudIntegrations.list(CloudIntegrationListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/accounts/{account_id}/magic/cloud/providers` List Cloud Integrations (Closed Beta). ### Parameters - `params: CloudIntegrationListParams` - `account_id: string` Path param - `cloudflare?: boolean` Query param - `desc?: boolean` Query param - `order_by?: string` Query param: One of ["updated_at", "id", "cloud_type", "name"]. - `status?: boolean` Query param ### Returns - `CloudIntegrationListResponse` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `friendly_name: string` - `last_updated: string` - `lifecycle_state: "ACTIVE" | "PENDING_SETUP" | "RETIRED"` - `"ACTIVE"` - `"PENDING_SETUP"` - `"RETIRED"` - `state: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `state_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `aws_arn?: string` - `azure_subscription_id?: string` - `azure_tenant_id?: string` - `description?: string` - `gcp_project_id?: string` - `gcp_service_account_email?: string` - `status?: Status` - `discovery_progress: DiscoveryProgress` - `done: number` - `total: number` - `unit: string` - `discovery_progress_v2: DiscoveryProgressV2` - `done: number` - `total: number` - `unit: string` - `last_discovery_status: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `last_discovery_status_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `regions: Array` - `credentials_good_since?: string` - `credentials_missing_since?: string` - `credentials_rejected_since?: string` - `discovery_message?: string` - `discovery_message_v2?: string` - `in_use_by?: Array` - `id: string` - `client_type: "MAGIC_WAN_CLOUD_ONRAMP"` - `"MAGIC_WAN_CLOUD_ONRAMP"` - `name: string` - `last_discovery_completed_at?: string` - `last_discovery_completed_at_v2?: string` - `last_discovery_started_at?: string` - `last_discovery_started_at_v2?: string` - `last_updated?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const cloudIntegrationListResponse of client.magicCloudNetworking.cloudIntegrations.list( { account_id: 'account_id' }, )) { console.log(cloudIntegrationListResponse.id); } ``` #### Response ```json { "errors": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "messages": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "result": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "cloud_type": "AWS", "friendly_name": "friendly_name", "last_updated": "last_updated", "lifecycle_state": "ACTIVE", "state": "UNSPECIFIED", "state_v2": "UNSPECIFIED", "aws_arn": "aws_arn", "azure_subscription_id": "azure_subscription_id", "azure_tenant_id": "azure_tenant_id", "description": "description", "gcp_project_id": "gcp_project_id", "gcp_service_account_email": "gcp_service_account_email", "status": { "discovery_progress": { "done": 0, "total": 0, "unit": "unit" }, "discovery_progress_v2": { "done": 0, "total": 0, "unit": "unit" }, "last_discovery_status": "UNSPECIFIED", "last_discovery_status_v2": "UNSPECIFIED", "regions": [ "string" ], "credentials_good_since": "credentials_good_since", "credentials_missing_since": "credentials_missing_since", "credentials_rejected_since": "credentials_rejected_since", "discovery_message": "discovery_message", "discovery_message_v2": "discovery_message_v2", "in_use_by": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "client_type": "MAGIC_WAN_CLOUD_ONRAMP", "name": "name" } ], "last_discovery_completed_at": "last_discovery_completed_at", "last_discovery_completed_at_v2": "last_discovery_completed_at_v2", "last_discovery_started_at": "last_discovery_started_at", "last_discovery_started_at_v2": "last_discovery_started_at_v2", "last_updated": "last_updated" } } ], "success": true } ``` ## Read Cloud Integration `client.magicCloudNetworking.cloudIntegrations.get(stringproviderId, CloudIntegrationGetParamsparams, RequestOptionsoptions?): CloudIntegrationGetResponse` **get** `/accounts/{account_id}/magic/cloud/providers/{provider_id}` Read a Cloud Integration (Closed Beta). ### Parameters - `providerId: string` - `params: CloudIntegrationGetParams` - `account_id: string` Path param - `status?: boolean` Query param ### Returns - `CloudIntegrationGetResponse` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `friendly_name: string` - `last_updated: string` - `lifecycle_state: "ACTIVE" | "PENDING_SETUP" | "RETIRED"` - `"ACTIVE"` - `"PENDING_SETUP"` - `"RETIRED"` - `state: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `state_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `aws_arn?: string` - `azure_subscription_id?: string` - `azure_tenant_id?: string` - `description?: string` - `gcp_project_id?: string` - `gcp_service_account_email?: string` - `status?: Status` - `discovery_progress: DiscoveryProgress` - `done: number` - `total: number` - `unit: string` - `discovery_progress_v2: DiscoveryProgressV2` - `done: number` - `total: number` - `unit: string` - `last_discovery_status: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `last_discovery_status_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `regions: Array` - `credentials_good_since?: string` - `credentials_missing_since?: string` - `credentials_rejected_since?: string` - `discovery_message?: string` - `discovery_message_v2?: string` - `in_use_by?: Array` - `id: string` - `client_type: "MAGIC_WAN_CLOUD_ONRAMP"` - `"MAGIC_WAN_CLOUD_ONRAMP"` - `name: string` - `last_discovery_completed_at?: string` - `last_discovery_completed_at_v2?: string` - `last_discovery_started_at?: string` - `last_discovery_started_at_v2?: string` - `last_updated?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const cloudIntegration = await client.magicCloudNetworking.cloudIntegrations.get( '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { account_id: 'account_id' }, ); console.log(cloudIntegration.id); ``` #### Response ```json { "errors": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "messages": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "result": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "cloud_type": "AWS", "friendly_name": "friendly_name", "last_updated": "last_updated", "lifecycle_state": "ACTIVE", "state": "UNSPECIFIED", "state_v2": "UNSPECIFIED", "aws_arn": "aws_arn", "azure_subscription_id": "azure_subscription_id", "azure_tenant_id": "azure_tenant_id", "description": "description", "gcp_project_id": "gcp_project_id", "gcp_service_account_email": "gcp_service_account_email", "status": { "discovery_progress": { "done": 0, "total": 0, "unit": "unit" }, "discovery_progress_v2": { "done": 0, "total": 0, "unit": "unit" }, "last_discovery_status": "UNSPECIFIED", "last_discovery_status_v2": "UNSPECIFIED", "regions": [ "string" ], "credentials_good_since": "credentials_good_since", "credentials_missing_since": "credentials_missing_since", "credentials_rejected_since": "credentials_rejected_since", "discovery_message": "discovery_message", "discovery_message_v2": "discovery_message_v2", "in_use_by": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "client_type": "MAGIC_WAN_CLOUD_ONRAMP", "name": "name" } ], "last_discovery_completed_at": "last_discovery_completed_at", "last_discovery_completed_at_v2": "last_discovery_completed_at_v2", "last_discovery_started_at": "last_discovery_started_at", "last_discovery_started_at_v2": "last_discovery_started_at_v2", "last_updated": "last_updated" } }, "success": true } ``` ## Create Cloud Integration `client.magicCloudNetworking.cloudIntegrations.create(CloudIntegrationCreateParamsparams, RequestOptionsoptions?): CloudIntegrationCreateResponse` **post** `/accounts/{account_id}/magic/cloud/providers` Create a new Cloud Integration (Closed Beta). ### Parameters - `params: CloudIntegrationCreateParams` - `account_id: string` Path param - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` Body param - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `friendly_name: string` Body param - `description?: string` Body param - `forwarded?: string` Header param ### Returns - `CloudIntegrationCreateResponse` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `friendly_name: string` - `last_updated: string` - `lifecycle_state: "ACTIVE" | "PENDING_SETUP" | "RETIRED"` - `"ACTIVE"` - `"PENDING_SETUP"` - `"RETIRED"` - `state: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `state_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `aws_arn?: string` - `azure_subscription_id?: string` - `azure_tenant_id?: string` - `description?: string` - `gcp_project_id?: string` - `gcp_service_account_email?: string` - `status?: Status` - `discovery_progress: DiscoveryProgress` - `done: number` - `total: number` - `unit: string` - `discovery_progress_v2: DiscoveryProgressV2` - `done: number` - `total: number` - `unit: string` - `last_discovery_status: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `last_discovery_status_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `regions: Array` - `credentials_good_since?: string` - `credentials_missing_since?: string` - `credentials_rejected_since?: string` - `discovery_message?: string` - `discovery_message_v2?: string` - `in_use_by?: Array` - `id: string` - `client_type: "MAGIC_WAN_CLOUD_ONRAMP"` - `"MAGIC_WAN_CLOUD_ONRAMP"` - `name: string` - `last_discovery_completed_at?: string` - `last_discovery_completed_at_v2?: string` - `last_discovery_started_at?: string` - `last_discovery_started_at_v2?: string` - `last_updated?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const cloudIntegration = await client.magicCloudNetworking.cloudIntegrations.create({ account_id: 'account_id', cloud_type: 'AWS', friendly_name: 'friendly_name', }); console.log(cloudIntegration.id); ``` #### Response ```json { "errors": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "messages": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "result": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "cloud_type": "AWS", "friendly_name": "friendly_name", "last_updated": "last_updated", "lifecycle_state": "ACTIVE", "state": "UNSPECIFIED", "state_v2": "UNSPECIFIED", "aws_arn": "aws_arn", "azure_subscription_id": "azure_subscription_id", "azure_tenant_id": "azure_tenant_id", "description": "description", "gcp_project_id": "gcp_project_id", "gcp_service_account_email": "gcp_service_account_email", "status": { "discovery_progress": { "done": 0, "total": 0, "unit": "unit" }, "discovery_progress_v2": { "done": 0, "total": 0, "unit": "unit" }, "last_discovery_status": "UNSPECIFIED", "last_discovery_status_v2": "UNSPECIFIED", "regions": [ "string" ], "credentials_good_since": "credentials_good_since", "credentials_missing_since": "credentials_missing_since", "credentials_rejected_since": "credentials_rejected_since", "discovery_message": "discovery_message", "discovery_message_v2": "discovery_message_v2", "in_use_by": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "client_type": "MAGIC_WAN_CLOUD_ONRAMP", "name": "name" } ], "last_discovery_completed_at": "last_discovery_completed_at", "last_discovery_completed_at_v2": "last_discovery_completed_at_v2", "last_discovery_started_at": "last_discovery_started_at", "last_discovery_started_at_v2": "last_discovery_started_at_v2", "last_updated": "last_updated" } }, "success": true } ``` ## Update Cloud Integration `client.magicCloudNetworking.cloudIntegrations.update(stringproviderId, CloudIntegrationUpdateParamsparams, RequestOptionsoptions?): CloudIntegrationUpdateResponse` **put** `/accounts/{account_id}/magic/cloud/providers/{provider_id}` Update a Cloud Integration (Closed Beta). ### Parameters - `providerId: string` - `params: CloudIntegrationUpdateParams` - `account_id: string` Path param - `aws_arn?: string` Body param - `azure_subscription_id?: string` Body param - `azure_tenant_id?: string` Body param - `description?: string` Body param - `friendly_name?: string` Body param - `gcp_project_id?: string` Body param - `gcp_service_account_email?: string` Body param ### Returns - `CloudIntegrationUpdateResponse` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `friendly_name: string` - `last_updated: string` - `lifecycle_state: "ACTIVE" | "PENDING_SETUP" | "RETIRED"` - `"ACTIVE"` - `"PENDING_SETUP"` - `"RETIRED"` - `state: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `state_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `aws_arn?: string` - `azure_subscription_id?: string` - `azure_tenant_id?: string` - `description?: string` - `gcp_project_id?: string` - `gcp_service_account_email?: string` - `status?: Status` - `discovery_progress: DiscoveryProgress` - `done: number` - `total: number` - `unit: string` - `discovery_progress_v2: DiscoveryProgressV2` - `done: number` - `total: number` - `unit: string` - `last_discovery_status: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `last_discovery_status_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `regions: Array` - `credentials_good_since?: string` - `credentials_missing_since?: string` - `credentials_rejected_since?: string` - `discovery_message?: string` - `discovery_message_v2?: string` - `in_use_by?: Array` - `id: string` - `client_type: "MAGIC_WAN_CLOUD_ONRAMP"` - `"MAGIC_WAN_CLOUD_ONRAMP"` - `name: string` - `last_discovery_completed_at?: string` - `last_discovery_completed_at_v2?: string` - `last_discovery_started_at?: string` - `last_discovery_started_at_v2?: string` - `last_updated?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const cloudIntegration = await client.magicCloudNetworking.cloudIntegrations.update( '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { account_id: 'account_id' }, ); console.log(cloudIntegration.id); ``` #### Response ```json { "errors": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "messages": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "result": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "cloud_type": "AWS", "friendly_name": "friendly_name", "last_updated": "last_updated", "lifecycle_state": "ACTIVE", "state": "UNSPECIFIED", "state_v2": "UNSPECIFIED", "aws_arn": "aws_arn", "azure_subscription_id": "azure_subscription_id", "azure_tenant_id": "azure_tenant_id", "description": "description", "gcp_project_id": "gcp_project_id", "gcp_service_account_email": "gcp_service_account_email", "status": { "discovery_progress": { "done": 0, "total": 0, "unit": "unit" }, "discovery_progress_v2": { "done": 0, "total": 0, "unit": "unit" }, "last_discovery_status": "UNSPECIFIED", "last_discovery_status_v2": "UNSPECIFIED", "regions": [ "string" ], "credentials_good_since": "credentials_good_since", "credentials_missing_since": "credentials_missing_since", "credentials_rejected_since": "credentials_rejected_since", "discovery_message": "discovery_message", "discovery_message_v2": "discovery_message_v2", "in_use_by": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "client_type": "MAGIC_WAN_CLOUD_ONRAMP", "name": "name" } ], "last_discovery_completed_at": "last_discovery_completed_at", "last_discovery_completed_at_v2": "last_discovery_completed_at_v2", "last_discovery_started_at": "last_discovery_started_at", "last_discovery_started_at_v2": "last_discovery_started_at_v2", "last_updated": "last_updated" } }, "success": true } ``` ## Patch Cloud Integration `client.magicCloudNetworking.cloudIntegrations.edit(stringproviderId, CloudIntegrationEditParamsparams, RequestOptionsoptions?): CloudIntegrationEditResponse` **patch** `/accounts/{account_id}/magic/cloud/providers/{provider_id}` Update a Cloud Integration (Closed Beta). ### Parameters - `providerId: string` - `params: CloudIntegrationEditParams` - `account_id: string` Path param - `aws_arn?: string` Body param - `azure_subscription_id?: string` Body param - `azure_tenant_id?: string` Body param - `description?: string` Body param - `friendly_name?: string` Body param - `gcp_project_id?: string` Body param - `gcp_service_account_email?: string` Body param ### Returns - `CloudIntegrationEditResponse` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `friendly_name: string` - `last_updated: string` - `lifecycle_state: "ACTIVE" | "PENDING_SETUP" | "RETIRED"` - `"ACTIVE"` - `"PENDING_SETUP"` - `"RETIRED"` - `state: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `state_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `aws_arn?: string` - `azure_subscription_id?: string` - `azure_tenant_id?: string` - `description?: string` - `gcp_project_id?: string` - `gcp_service_account_email?: string` - `status?: Status` - `discovery_progress: DiscoveryProgress` - `done: number` - `total: number` - `unit: string` - `discovery_progress_v2: DiscoveryProgressV2` - `done: number` - `total: number` - `unit: string` - `last_discovery_status: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `last_discovery_status_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `regions: Array` - `credentials_good_since?: string` - `credentials_missing_since?: string` - `credentials_rejected_since?: string` - `discovery_message?: string` - `discovery_message_v2?: string` - `in_use_by?: Array` - `id: string` - `client_type: "MAGIC_WAN_CLOUD_ONRAMP"` - `"MAGIC_WAN_CLOUD_ONRAMP"` - `name: string` - `last_discovery_completed_at?: string` - `last_discovery_completed_at_v2?: string` - `last_discovery_started_at?: string` - `last_discovery_started_at_v2?: string` - `last_updated?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.magicCloudNetworking.cloudIntegrations.edit( '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { account_id: 'account_id' }, ); console.log(response.id); ``` #### Response ```json { "errors": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "messages": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "result": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "cloud_type": "AWS", "friendly_name": "friendly_name", "last_updated": "last_updated", "lifecycle_state": "ACTIVE", "state": "UNSPECIFIED", "state_v2": "UNSPECIFIED", "aws_arn": "aws_arn", "azure_subscription_id": "azure_subscription_id", "azure_tenant_id": "azure_tenant_id", "description": "description", "gcp_project_id": "gcp_project_id", "gcp_service_account_email": "gcp_service_account_email", "status": { "discovery_progress": { "done": 0, "total": 0, "unit": "unit" }, "discovery_progress_v2": { "done": 0, "total": 0, "unit": "unit" }, "last_discovery_status": "UNSPECIFIED", "last_discovery_status_v2": "UNSPECIFIED", "regions": [ "string" ], "credentials_good_since": "credentials_good_since", "credentials_missing_since": "credentials_missing_since", "credentials_rejected_since": "credentials_rejected_since", "discovery_message": "discovery_message", "discovery_message_v2": "discovery_message_v2", "in_use_by": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "client_type": "MAGIC_WAN_CLOUD_ONRAMP", "name": "name" } ], "last_discovery_completed_at": "last_discovery_completed_at", "last_discovery_completed_at_v2": "last_discovery_completed_at_v2", "last_discovery_started_at": "last_discovery_started_at", "last_discovery_started_at_v2": "last_discovery_started_at_v2", "last_updated": "last_updated" } }, "success": true } ``` ## Delete Cloud Integration `client.magicCloudNetworking.cloudIntegrations.delete(stringproviderId, CloudIntegrationDeleteParamsparams, RequestOptionsoptions?): CloudIntegrationDeleteResponse` **delete** `/accounts/{account_id}/magic/cloud/providers/{provider_id}` Delete a Cloud Integration (Closed Beta). ### Parameters - `providerId: string` - `params: CloudIntegrationDeleteParams` - `account_id: string` ### Returns - `CloudIntegrationDeleteResponse` - `id: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const cloudIntegration = await client.magicCloudNetworking.cloudIntegrations.delete( '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { account_id: 'account_id' }, ); console.log(cloudIntegration.id); ``` #### Response ```json { "errors": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "messages": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "result": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" }, "success": true } ``` ## Run Discovery for All Integrations `client.magicCloudNetworking.cloudIntegrations.discoverAll(CloudIntegrationDiscoverAllParamsparams, RequestOptionsoptions?): CloudIntegrationDiscoverAllResponse` **post** `/accounts/{account_id}/magic/cloud/providers/discover` Run discovery for all Cloud Integrations in an account (Closed Beta). ### Parameters - `params: CloudIntegrationDiscoverAllParams` - `account_id: string` ### Returns - `CloudIntegrationDiscoverAllResponse` - `errors: Array` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `messages: Array` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `success: boolean` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.magicCloudNetworking.cloudIntegrations.discoverAll({ account_id: 'account_id', }); console.log(response.errors); ``` #### Response ```json { "errors": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "messages": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "success": true } ``` ## Run Discovery `client.magicCloudNetworking.cloudIntegrations.discover(stringproviderId, CloudIntegrationDiscoverParamsparams, RequestOptionsoptions?): CloudIntegrationDiscoverResponse` **post** `/accounts/{account_id}/magic/cloud/providers/{provider_id}/discover` Run discovery for a Cloud Integration (Closed Beta). ### Parameters - `providerId: string` - `params: CloudIntegrationDiscoverParams` - `account_id: string` Path param - `v2?: boolean` Query param ### Returns - `CloudIntegrationDiscoverResponse` - `errors: Array` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `messages: Array` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `success: boolean` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.magicCloudNetworking.cloudIntegrations.discover( '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { account_id: 'account_id' }, ); console.log(response.errors); ``` #### Response ```json { "errors": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "messages": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "success": true } ``` ## Get Cloud Integration Setup Config `client.magicCloudNetworking.cloudIntegrations.initialSetup(stringproviderId, CloudIntegrationInitialSetupParamsparams, RequestOptionsoptions?): CloudIntegrationInitialSetupResponse` **get** `/accounts/{account_id}/magic/cloud/providers/{provider_id}/initial_setup` Get initial configuration to complete Cloud Integration setup (Closed Beta). ### Parameters - `providerId: string` - `params: CloudIntegrationInitialSetupParams` - `account_id: string` ### Returns - `CloudIntegrationInitialSetupResponse = McnAwsTrustPolicy | McnAzureSetup | McnGcpSetup` - `McnAwsTrustPolicy` - `aws_trust_policy: string` - `item_type: string` - `McnAzureSetup` - `azure_consent_url: string` - `integration_identity_tag: string` - `item_type: string` - `tag_cli_command: string` - `McnGcpSetup` - `integration_identity_tag: string` - `item_type: string` - `tag_cli_command: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.magicCloudNetworking.cloudIntegrations.initialSetup( '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { account_id: 'account_id' }, ); console.log(response); ``` #### Response ```json { "errors": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "messages": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "result": { "aws_trust_policy": "aws_trust_policy", "item_type": "item_type" }, "success": true } ``` ## Domain Types ### Cloud Integration List Response - `CloudIntegrationListResponse` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `friendly_name: string` - `last_updated: string` - `lifecycle_state: "ACTIVE" | "PENDING_SETUP" | "RETIRED"` - `"ACTIVE"` - `"PENDING_SETUP"` - `"RETIRED"` - `state: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `state_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `aws_arn?: string` - `azure_subscription_id?: string` - `azure_tenant_id?: string` - `description?: string` - `gcp_project_id?: string` - `gcp_service_account_email?: string` - `status?: Status` - `discovery_progress: DiscoveryProgress` - `done: number` - `total: number` - `unit: string` - `discovery_progress_v2: DiscoveryProgressV2` - `done: number` - `total: number` - `unit: string` - `last_discovery_status: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `last_discovery_status_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `regions: Array` - `credentials_good_since?: string` - `credentials_missing_since?: string` - `credentials_rejected_since?: string` - `discovery_message?: string` - `discovery_message_v2?: string` - `in_use_by?: Array` - `id: string` - `client_type: "MAGIC_WAN_CLOUD_ONRAMP"` - `"MAGIC_WAN_CLOUD_ONRAMP"` - `name: string` - `last_discovery_completed_at?: string` - `last_discovery_completed_at_v2?: string` - `last_discovery_started_at?: string` - `last_discovery_started_at_v2?: string` - `last_updated?: string` ### Cloud Integration Get Response - `CloudIntegrationGetResponse` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `friendly_name: string` - `last_updated: string` - `lifecycle_state: "ACTIVE" | "PENDING_SETUP" | "RETIRED"` - `"ACTIVE"` - `"PENDING_SETUP"` - `"RETIRED"` - `state: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `state_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `aws_arn?: string` - `azure_subscription_id?: string` - `azure_tenant_id?: string` - `description?: string` - `gcp_project_id?: string` - `gcp_service_account_email?: string` - `status?: Status` - `discovery_progress: DiscoveryProgress` - `done: number` - `total: number` - `unit: string` - `discovery_progress_v2: DiscoveryProgressV2` - `done: number` - `total: number` - `unit: string` - `last_discovery_status: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `last_discovery_status_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `regions: Array` - `credentials_good_since?: string` - `credentials_missing_since?: string` - `credentials_rejected_since?: string` - `discovery_message?: string` - `discovery_message_v2?: string` - `in_use_by?: Array` - `id: string` - `client_type: "MAGIC_WAN_CLOUD_ONRAMP"` - `"MAGIC_WAN_CLOUD_ONRAMP"` - `name: string` - `last_discovery_completed_at?: string` - `last_discovery_completed_at_v2?: string` - `last_discovery_started_at?: string` - `last_discovery_started_at_v2?: string` - `last_updated?: string` ### Cloud Integration Create Response - `CloudIntegrationCreateResponse` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `friendly_name: string` - `last_updated: string` - `lifecycle_state: "ACTIVE" | "PENDING_SETUP" | "RETIRED"` - `"ACTIVE"` - `"PENDING_SETUP"` - `"RETIRED"` - `state: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `state_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `aws_arn?: string` - `azure_subscription_id?: string` - `azure_tenant_id?: string` - `description?: string` - `gcp_project_id?: string` - `gcp_service_account_email?: string` - `status?: Status` - `discovery_progress: DiscoveryProgress` - `done: number` - `total: number` - `unit: string` - `discovery_progress_v2: DiscoveryProgressV2` - `done: number` - `total: number` - `unit: string` - `last_discovery_status: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `last_discovery_status_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `regions: Array` - `credentials_good_since?: string` - `credentials_missing_since?: string` - `credentials_rejected_since?: string` - `discovery_message?: string` - `discovery_message_v2?: string` - `in_use_by?: Array` - `id: string` - `client_type: "MAGIC_WAN_CLOUD_ONRAMP"` - `"MAGIC_WAN_CLOUD_ONRAMP"` - `name: string` - `last_discovery_completed_at?: string` - `last_discovery_completed_at_v2?: string` - `last_discovery_started_at?: string` - `last_discovery_started_at_v2?: string` - `last_updated?: string` ### Cloud Integration Update Response - `CloudIntegrationUpdateResponse` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `friendly_name: string` - `last_updated: string` - `lifecycle_state: "ACTIVE" | "PENDING_SETUP" | "RETIRED"` - `"ACTIVE"` - `"PENDING_SETUP"` - `"RETIRED"` - `state: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `state_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `aws_arn?: string` - `azure_subscription_id?: string` - `azure_tenant_id?: string` - `description?: string` - `gcp_project_id?: string` - `gcp_service_account_email?: string` - `status?: Status` - `discovery_progress: DiscoveryProgress` - `done: number` - `total: number` - `unit: string` - `discovery_progress_v2: DiscoveryProgressV2` - `done: number` - `total: number` - `unit: string` - `last_discovery_status: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `last_discovery_status_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `regions: Array` - `credentials_good_since?: string` - `credentials_missing_since?: string` - `credentials_rejected_since?: string` - `discovery_message?: string` - `discovery_message_v2?: string` - `in_use_by?: Array` - `id: string` - `client_type: "MAGIC_WAN_CLOUD_ONRAMP"` - `"MAGIC_WAN_CLOUD_ONRAMP"` - `name: string` - `last_discovery_completed_at?: string` - `last_discovery_completed_at_v2?: string` - `last_discovery_started_at?: string` - `last_discovery_started_at_v2?: string` - `last_updated?: string` ### Cloud Integration Edit Response - `CloudIntegrationEditResponse` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `friendly_name: string` - `last_updated: string` - `lifecycle_state: "ACTIVE" | "PENDING_SETUP" | "RETIRED"` - `"ACTIVE"` - `"PENDING_SETUP"` - `"RETIRED"` - `state: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `state_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `aws_arn?: string` - `azure_subscription_id?: string` - `azure_tenant_id?: string` - `description?: string` - `gcp_project_id?: string` - `gcp_service_account_email?: string` - `status?: Status` - `discovery_progress: DiscoveryProgress` - `done: number` - `total: number` - `unit: string` - `discovery_progress_v2: DiscoveryProgressV2` - `done: number` - `total: number` - `unit: string` - `last_discovery_status: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `last_discovery_status_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more` - `"UNSPECIFIED"` - `"PENDING"` - `"DISCOVERING"` - `"FAILED"` - `"SUCCEEDED"` - `regions: Array` - `credentials_good_since?: string` - `credentials_missing_since?: string` - `credentials_rejected_since?: string` - `discovery_message?: string` - `discovery_message_v2?: string` - `in_use_by?: Array` - `id: string` - `client_type: "MAGIC_WAN_CLOUD_ONRAMP"` - `"MAGIC_WAN_CLOUD_ONRAMP"` - `name: string` - `last_discovery_completed_at?: string` - `last_discovery_completed_at_v2?: string` - `last_discovery_started_at?: string` - `last_discovery_started_at_v2?: string` - `last_updated?: string` ### Cloud Integration Delete Response - `CloudIntegrationDeleteResponse` - `id: string` ### Cloud Integration Discover All Response - `CloudIntegrationDiscoverAllResponse` - `errors: Array` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `messages: Array` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `success: boolean` ### Cloud Integration Discover Response - `CloudIntegrationDiscoverResponse` - `errors: Array` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `messages: Array` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `success: boolean` ### Cloud Integration Initial Setup Response - `CloudIntegrationInitialSetupResponse = McnAwsTrustPolicy | McnAzureSetup | McnGcpSetup` - `McnAwsTrustPolicy` - `aws_trust_policy: string` - `item_type: string` - `McnAzureSetup` - `azure_consent_url: string` - `integration_identity_tag: string` - `item_type: string` - `tag_cli_command: string` - `McnGcpSetup` - `integration_identity_tag: string` - `item_type: string` - `tag_cli_command: string`